package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)枚举类
*
* @author zxfei
*/
public enum TypeEnum {
    预约成功短信(1, "预约成功短信"),
    取号成功短信(2, "取号成功短信"),
    临近叫号短信(3, "临近叫号短信");
    private Integer value;
    private String desc;

    TypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static TypeEnum getByValue(Integer value) {
        for (TypeEnum typeEnum : TypeEnum.values()) {
            if (typeEnum.getValue() == value) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (TypeEnum item : TypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}